Name:		python-babel
Version:	2.3.4
Release:	%mkrel 2
Summary:	Library for internationalizing Python applications

Group:		Development/Python
License:	BSD
URL:		http://babel.pocoo.org/
Source0:	https://pypi.io/packages/source/B/Babel/Babel-%{version}.tar.gz
Patch0:         babel-2.3.4-remove-pytz-version.patch

BuildArch:	noarch

BuildRequires:	pkgconfig(python)
BuildRequires:	python-pytz
BuildRequires:	python-setuptools

Requires:	python-setuptools

%description
Babel is composed of two major parts:

* tools to build and work with gettext message catalogs

* a Python interface to the CLDR (Common Locale Data Repository),
  providing access to various locale display names, localized number
  and date formatting, etc.

%package -n python3-babel
Summary:        Library for internationalizing Python applications
Group:          Development/Python

BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-pytz

Requires:       python3-setuptools
Requires:       python3-pytz

%description -n python3-babel
Babel is composed of two major parts:

* tools to build and work with gettext message catalogs

* a Python interface to the CLDR (Common Locale Data Repository),
  providing access to various locale display names, localized number
  and date formatting, etc.

%prep
%autosetup -n Babel-%{version}
chmod a-x babel/messages/frontend.py
%{__sed} -i -e '/^#!/,1d' babel/messages/frontend.py
cp -r . %{py3dir}


%build
%py2_build


pushd %{py3dir}
%py3_build
popd

%install
pushd %{py3dir}
%py3_install
popd

%py2_install


%files
%doc CHANGES AUTHORS
%license LICENSE
%{_bindir}/pybabel
%{python2_sitelib}/Babel-%{version}-py*.egg-info
%{python2_sitelib}/babel

%files -n python3-babel
%doc CHANGES AUTHORS
%license LICENSE
%{python3_sitelib}/Babel-%{version}-py*.egg-info
%{python3_sitelib}/babel




%changelog
* Thu May 12 2016 philippem <philippem> 2.3.4-2.mga6
+ Revision: 1014411
- add remove-pytz-version patch

* Thu May 12 2016 philippem <philippem> 2.3.4-1.mga6
+ Revision: 1014399
- update to 2.3.4

* Fri Feb 19 2016 umeabot <umeabot> 1.3-10.mga6
+ Revision: 970493
- Mageia 6 Mass Rebuild

* Wed Oct 07 2015 tv <tv> 1.3-9.mga6
+ Revision: 886707
- rebuild for python 3.5

* Wed Oct 15 2014 umeabot <umeabot> 1.3-8.mga5
+ Revision: 741402
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1.3-7.mga5
+ Revision: 728093
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1.3-6.mga5
+ Revision: 687896
- Mageia 5 Mass Rebuild

* Sat May 31 2014 pterjan <pterjan> 1.3-5.mga5
+ Revision: 629724
- Rebuild for new Python

* Sat May 31 2014 pterjan <pterjan> 1.3-4.mga5
+ Revision: 628466
- Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 1.3-3.mga4
+ Revision: 543035
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 1.3-2.mga4
+ Revision: 498148
- Rebuild to add different pythonegg provides for python 2 and 3

* Tue Oct 08 2013 philippem <philippem> 1.3-1.mga4
+ Revision: 493729
- Update to 1.3
- add Python 3

* Sun Jan 13 2013 umeabot <umeabot> 0.9.6-2.mga3
+ Revision: 378490
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Dec 06 2012 sander85 <sander85> 0.9.6-1.mga3
+ Revision: 327312
- imported package python-babel

